import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  ActivateOrganizationsAccessCommandInput,
  ActivateOrganizationsAccessCommandOutput,
} from "../commands/ActivateOrganizationsAccessCommand";
import {
  ActivateTypeCommandInput,
  ActivateTypeCommandOutput,
} from "../commands/ActivateTypeCommand";
import {
  BatchDescribeTypeConfigurationsCommandInput,
  BatchDescribeTypeConfigurationsCommandOutput,
} from "../commands/BatchDescribeTypeConfigurationsCommand";
import {
  CancelUpdateStackCommandInput,
  CancelUpdateStackCommandOutput,
} from "../commands/CancelUpdateStackCommand";
import {
  ContinueUpdateRollbackCommandInput,
  ContinueUpdateRollbackCommandOutput,
} from "../commands/ContinueUpdateRollbackCommand";
import {
  CreateChangeSetCommandInput,
  CreateChangeSetCommandOutput,
} from "../commands/CreateChangeSetCommand";
import {
  CreateGeneratedTemplateCommandInput,
  CreateGeneratedTemplateCommandOutput,
} from "../commands/CreateGeneratedTemplateCommand";
import {
  CreateStackCommandInput,
  CreateStackCommandOutput,
} from "../commands/CreateStackCommand";
import {
  CreateStackInstancesCommandInput,
  CreateStackInstancesCommandOutput,
} from "../commands/CreateStackInstancesCommand";
import {
  CreateStackSetCommandInput,
  CreateStackSetCommandOutput,
} from "../commands/CreateStackSetCommand";
import {
  DeactivateOrganizationsAccessCommandInput,
  DeactivateOrganizationsAccessCommandOutput,
} from "../commands/DeactivateOrganizationsAccessCommand";
import {
  DeactivateTypeCommandInput,
  DeactivateTypeCommandOutput,
} from "../commands/DeactivateTypeCommand";
import {
  DeleteChangeSetCommandInput,
  DeleteChangeSetCommandOutput,
} from "../commands/DeleteChangeSetCommand";
import {
  DeleteGeneratedTemplateCommandInput,
  DeleteGeneratedTemplateCommandOutput,
} from "../commands/DeleteGeneratedTemplateCommand";
import {
  DeleteStackCommandInput,
  DeleteStackCommandOutput,
} from "../commands/DeleteStackCommand";
import {
  DeleteStackInstancesCommandInput,
  DeleteStackInstancesCommandOutput,
} from "../commands/DeleteStackInstancesCommand";
import {
  DeleteStackSetCommandInput,
  DeleteStackSetCommandOutput,
} from "../commands/DeleteStackSetCommand";
import {
  DeregisterTypeCommandInput,
  DeregisterTypeCommandOutput,
} from "../commands/DeregisterTypeCommand";
import {
  DescribeAccountLimitsCommandInput,
  DescribeAccountLimitsCommandOutput,
} from "../commands/DescribeAccountLimitsCommand";
import {
  DescribeChangeSetCommandInput,
  DescribeChangeSetCommandOutput,
} from "../commands/DescribeChangeSetCommand";
import {
  DescribeChangeSetHooksCommandInput,
  DescribeChangeSetHooksCommandOutput,
} from "../commands/DescribeChangeSetHooksCommand";
import {
  DescribeGeneratedTemplateCommandInput,
  DescribeGeneratedTemplateCommandOutput,
} from "../commands/DescribeGeneratedTemplateCommand";
import {
  DescribeOrganizationsAccessCommandInput,
  DescribeOrganizationsAccessCommandOutput,
} from "../commands/DescribeOrganizationsAccessCommand";
import {
  DescribePublisherCommandInput,
  DescribePublisherCommandOutput,
} from "../commands/DescribePublisherCommand";
import {
  DescribeResourceScanCommandInput,
  DescribeResourceScanCommandOutput,
} from "../commands/DescribeResourceScanCommand";
import {
  DescribeStackDriftDetectionStatusCommandInput,
  DescribeStackDriftDetectionStatusCommandOutput,
} from "../commands/DescribeStackDriftDetectionStatusCommand";
import {
  DescribeStackEventsCommandInput,
  DescribeStackEventsCommandOutput,
} from "../commands/DescribeStackEventsCommand";
import {
  DescribeStackInstanceCommandInput,
  DescribeStackInstanceCommandOutput,
} from "../commands/DescribeStackInstanceCommand";
import {
  DescribeStackResourceCommandInput,
  DescribeStackResourceCommandOutput,
} from "../commands/DescribeStackResourceCommand";
import {
  DescribeStackResourceDriftsCommandInput,
  DescribeStackResourceDriftsCommandOutput,
} from "../commands/DescribeStackResourceDriftsCommand";
import {
  DescribeStackResourcesCommandInput,
  DescribeStackResourcesCommandOutput,
} from "../commands/DescribeStackResourcesCommand";
import {
  DescribeStacksCommandInput,
  DescribeStacksCommandOutput,
} from "../commands/DescribeStacksCommand";
import {
  DescribeStackSetCommandInput,
  DescribeStackSetCommandOutput,
} from "../commands/DescribeStackSetCommand";
import {
  DescribeStackSetOperationCommandInput,
  DescribeStackSetOperationCommandOutput,
} from "../commands/DescribeStackSetOperationCommand";
import {
  DescribeTypeCommandInput,
  DescribeTypeCommandOutput,
} from "../commands/DescribeTypeCommand";
import {
  DescribeTypeRegistrationCommandInput,
  DescribeTypeRegistrationCommandOutput,
} from "../commands/DescribeTypeRegistrationCommand";
import {
  DetectStackDriftCommandInput,
  DetectStackDriftCommandOutput,
} from "../commands/DetectStackDriftCommand";
import {
  DetectStackResourceDriftCommandInput,
  DetectStackResourceDriftCommandOutput,
} from "../commands/DetectStackResourceDriftCommand";
import {
  DetectStackSetDriftCommandInput,
  DetectStackSetDriftCommandOutput,
} from "../commands/DetectStackSetDriftCommand";
import {
  EstimateTemplateCostCommandInput,
  EstimateTemplateCostCommandOutput,
} from "../commands/EstimateTemplateCostCommand";
import {
  ExecuteChangeSetCommandInput,
  ExecuteChangeSetCommandOutput,
} from "../commands/ExecuteChangeSetCommand";
import {
  GetGeneratedTemplateCommandInput,
  GetGeneratedTemplateCommandOutput,
} from "../commands/GetGeneratedTemplateCommand";
import {
  GetStackPolicyCommandInput,
  GetStackPolicyCommandOutput,
} from "../commands/GetStackPolicyCommand";
import {
  GetTemplateCommandInput,
  GetTemplateCommandOutput,
} from "../commands/GetTemplateCommand";
import {
  GetTemplateSummaryCommandInput,
  GetTemplateSummaryCommandOutput,
} from "../commands/GetTemplateSummaryCommand";
import {
  ImportStacksToStackSetCommandInput,
  ImportStacksToStackSetCommandOutput,
} from "../commands/ImportStacksToStackSetCommand";
import {
  ListChangeSetsCommandInput,
  ListChangeSetsCommandOutput,
} from "../commands/ListChangeSetsCommand";
import {
  ListExportsCommandInput,
  ListExportsCommandOutput,
} from "../commands/ListExportsCommand";
import {
  ListGeneratedTemplatesCommandInput,
  ListGeneratedTemplatesCommandOutput,
} from "../commands/ListGeneratedTemplatesCommand";
import {
  ListImportsCommandInput,
  ListImportsCommandOutput,
} from "../commands/ListImportsCommand";
import {
  ListResourceScanRelatedResourcesCommandInput,
  ListResourceScanRelatedResourcesCommandOutput,
} from "../commands/ListResourceScanRelatedResourcesCommand";
import {
  ListResourceScanResourcesCommandInput,
  ListResourceScanResourcesCommandOutput,
} from "../commands/ListResourceScanResourcesCommand";
import {
  ListResourceScansCommandInput,
  ListResourceScansCommandOutput,
} from "../commands/ListResourceScansCommand";
import {
  ListStackInstanceResourceDriftsCommandInput,
  ListStackInstanceResourceDriftsCommandOutput,
} from "../commands/ListStackInstanceResourceDriftsCommand";
import {
  ListStackInstancesCommandInput,
  ListStackInstancesCommandOutput,
} from "../commands/ListStackInstancesCommand";
import {
  ListStackResourcesCommandInput,
  ListStackResourcesCommandOutput,
} from "../commands/ListStackResourcesCommand";
import {
  ListStacksCommandInput,
  ListStacksCommandOutput,
} from "../commands/ListStacksCommand";
import {
  ListStackSetOperationResultsCommandInput,
  ListStackSetOperationResultsCommandOutput,
} from "../commands/ListStackSetOperationResultsCommand";
import {
  ListStackSetOperationsCommandInput,
  ListStackSetOperationsCommandOutput,
} from "../commands/ListStackSetOperationsCommand";
import {
  ListStackSetsCommandInput,
  ListStackSetsCommandOutput,
} from "../commands/ListStackSetsCommand";
import {
  ListTypeRegistrationsCommandInput,
  ListTypeRegistrationsCommandOutput,
} from "../commands/ListTypeRegistrationsCommand";
import {
  ListTypesCommandInput,
  ListTypesCommandOutput,
} from "../commands/ListTypesCommand";
import {
  ListTypeVersionsCommandInput,
  ListTypeVersionsCommandOutput,
} from "../commands/ListTypeVersionsCommand";
import {
  PublishTypeCommandInput,
  PublishTypeCommandOutput,
} from "../commands/PublishTypeCommand";
import {
  RecordHandlerProgressCommandInput,
  RecordHandlerProgressCommandOutput,
} from "../commands/RecordHandlerProgressCommand";
import {
  RegisterPublisherCommandInput,
  RegisterPublisherCommandOutput,
} from "../commands/RegisterPublisherCommand";
import {
  RegisterTypeCommandInput,
  RegisterTypeCommandOutput,
} from "../commands/RegisterTypeCommand";
import {
  RollbackStackCommandInput,
  RollbackStackCommandOutput,
} from "../commands/RollbackStackCommand";
import {
  SetStackPolicyCommandInput,
  SetStackPolicyCommandOutput,
} from "../commands/SetStackPolicyCommand";
import {
  SetTypeConfigurationCommandInput,
  SetTypeConfigurationCommandOutput,
} from "../commands/SetTypeConfigurationCommand";
import {
  SetTypeDefaultVersionCommandInput,
  SetTypeDefaultVersionCommandOutput,
} from "../commands/SetTypeDefaultVersionCommand";
import {
  SignalResourceCommandInput,
  SignalResourceCommandOutput,
} from "../commands/SignalResourceCommand";
import {
  StartResourceScanCommandInput,
  StartResourceScanCommandOutput,
} from "../commands/StartResourceScanCommand";
import {
  StopStackSetOperationCommandInput,
  StopStackSetOperationCommandOutput,
} from "../commands/StopStackSetOperationCommand";
import {
  TestTypeCommandInput,
  TestTypeCommandOutput,
} from "../commands/TestTypeCommand";
import {
  UpdateGeneratedTemplateCommandInput,
  UpdateGeneratedTemplateCommandOutput,
} from "../commands/UpdateGeneratedTemplateCommand";
import {
  UpdateStackCommandInput,
  UpdateStackCommandOutput,
} from "../commands/UpdateStackCommand";
import {
  UpdateStackInstancesCommandInput,
  UpdateStackInstancesCommandOutput,
} from "../commands/UpdateStackInstancesCommand";
import {
  UpdateStackSetCommandInput,
  UpdateStackSetCommandOutput,
} from "../commands/UpdateStackSetCommand";
import {
  UpdateTerminationProtectionCommandInput,
  UpdateTerminationProtectionCommandOutput,
} from "../commands/UpdateTerminationProtectionCommand";
import {
  ValidateTemplateCommandInput,
  ValidateTemplateCommandOutput,
} from "../commands/ValidateTemplateCommand";
export declare const se_ActivateOrganizationsAccessCommand: (
  input: ActivateOrganizationsAccessCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ActivateTypeCommand: (
  input: ActivateTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchDescribeTypeConfigurationsCommand: (
  input: BatchDescribeTypeConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CancelUpdateStackCommand: (
  input: CancelUpdateStackCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ContinueUpdateRollbackCommand: (
  input: ContinueUpdateRollbackCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateChangeSetCommand: (
  input: CreateChangeSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateGeneratedTemplateCommand: (
  input: CreateGeneratedTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateStackCommand: (
  input: CreateStackCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateStackInstancesCommand: (
  input: CreateStackInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateStackSetCommand: (
  input: CreateStackSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeactivateOrganizationsAccessCommand: (
  input: DeactivateOrganizationsAccessCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeactivateTypeCommand: (
  input: DeactivateTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteChangeSetCommand: (
  input: DeleteChangeSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteGeneratedTemplateCommand: (
  input: DeleteGeneratedTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteStackCommand: (
  input: DeleteStackCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteStackInstancesCommand: (
  input: DeleteStackInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteStackSetCommand: (
  input: DeleteStackSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeregisterTypeCommand: (
  input: DeregisterTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAccountLimitsCommand: (
  input: DescribeAccountLimitsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeChangeSetCommand: (
  input: DescribeChangeSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeChangeSetHooksCommand: (
  input: DescribeChangeSetHooksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeGeneratedTemplateCommand: (
  input: DescribeGeneratedTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeOrganizationsAccessCommand: (
  input: DescribeOrganizationsAccessCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribePublisherCommand: (
  input: DescribePublisherCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeResourceScanCommand: (
  input: DescribeResourceScanCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeStackDriftDetectionStatusCommand: (
  input: DescribeStackDriftDetectionStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeStackEventsCommand: (
  input: DescribeStackEventsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeStackInstanceCommand: (
  input: DescribeStackInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeStackResourceCommand: (
  input: DescribeStackResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeStackResourceDriftsCommand: (
  input: DescribeStackResourceDriftsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeStackResourcesCommand: (
  input: DescribeStackResourcesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeStacksCommand: (
  input: DescribeStacksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeStackSetCommand: (
  input: DescribeStackSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeStackSetOperationCommand: (
  input: DescribeStackSetOperationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeTypeCommand: (
  input: DescribeTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeTypeRegistrationCommand: (
  input: DescribeTypeRegistrationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DetectStackDriftCommand: (
  input: DetectStackDriftCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DetectStackResourceDriftCommand: (
  input: DetectStackResourceDriftCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DetectStackSetDriftCommand: (
  input: DetectStackSetDriftCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_EstimateTemplateCostCommand: (
  input: EstimateTemplateCostCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ExecuteChangeSetCommand: (
  input: ExecuteChangeSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetGeneratedTemplateCommand: (
  input: GetGeneratedTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetStackPolicyCommand: (
  input: GetStackPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetTemplateCommand: (
  input: GetTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetTemplateSummaryCommand: (
  input: GetTemplateSummaryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ImportStacksToStackSetCommand: (
  input: ImportStacksToStackSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChangeSetsCommand: (
  input: ListChangeSetsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListExportsCommand: (
  input: ListExportsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListGeneratedTemplatesCommand: (
  input: ListGeneratedTemplatesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListImportsCommand: (
  input: ListImportsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListResourceScanRelatedResourcesCommand: (
  input: ListResourceScanRelatedResourcesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListResourceScanResourcesCommand: (
  input: ListResourceScanResourcesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListResourceScansCommand: (
  input: ListResourceScansCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListStackInstanceResourceDriftsCommand: (
  input: ListStackInstanceResourceDriftsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListStackInstancesCommand: (
  input: ListStackInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListStackResourcesCommand: (
  input: ListStackResourcesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListStacksCommand: (
  input: ListStacksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListStackSetOperationResultsCommand: (
  input: ListStackSetOperationResultsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListStackSetOperationsCommand: (
  input: ListStackSetOperationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListStackSetsCommand: (
  input: ListStackSetsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTypeRegistrationsCommand: (
  input: ListTypeRegistrationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTypesCommand: (
  input: ListTypesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTypeVersionsCommand: (
  input: ListTypeVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PublishTypeCommand: (
  input: PublishTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RecordHandlerProgressCommand: (
  input: RecordHandlerProgressCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RegisterPublisherCommand: (
  input: RegisterPublisherCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RegisterTypeCommand: (
  input: RegisterTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RollbackStackCommand: (
  input: RollbackStackCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SetStackPolicyCommand: (
  input: SetStackPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SetTypeConfigurationCommand: (
  input: SetTypeConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SetTypeDefaultVersionCommand: (
  input: SetTypeDefaultVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SignalResourceCommand: (
  input: SignalResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartResourceScanCommand: (
  input: StartResourceScanCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopStackSetOperationCommand: (
  input: StopStackSetOperationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TestTypeCommand: (
  input: TestTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateGeneratedTemplateCommand: (
  input: UpdateGeneratedTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateStackCommand: (
  input: UpdateStackCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateStackInstancesCommand: (
  input: UpdateStackInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateStackSetCommand: (
  input: UpdateStackSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateTerminationProtectionCommand: (
  input: UpdateTerminationProtectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ValidateTemplateCommand: (
  input: ValidateTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_ActivateOrganizationsAccessCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ActivateOrganizationsAccessCommandOutput>;
export declare const de_ActivateTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ActivateTypeCommandOutput>;
export declare const de_BatchDescribeTypeConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchDescribeTypeConfigurationsCommandOutput>;
export declare const de_CancelUpdateStackCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CancelUpdateStackCommandOutput>;
export declare const de_ContinueUpdateRollbackCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ContinueUpdateRollbackCommandOutput>;
export declare const de_CreateChangeSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateChangeSetCommandOutput>;
export declare const de_CreateGeneratedTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateGeneratedTemplateCommandOutput>;
export declare const de_CreateStackCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateStackCommandOutput>;
export declare const de_CreateStackInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateStackInstancesCommandOutput>;
export declare const de_CreateStackSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateStackSetCommandOutput>;
export declare const de_DeactivateOrganizationsAccessCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeactivateOrganizationsAccessCommandOutput>;
export declare const de_DeactivateTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeactivateTypeCommandOutput>;
export declare const de_DeleteChangeSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteChangeSetCommandOutput>;
export declare const de_DeleteGeneratedTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteGeneratedTemplateCommandOutput>;
export declare const de_DeleteStackCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteStackCommandOutput>;
export declare const de_DeleteStackInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteStackInstancesCommandOutput>;
export declare const de_DeleteStackSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteStackSetCommandOutput>;
export declare const de_DeregisterTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeregisterTypeCommandOutput>;
export declare const de_DescribeAccountLimitsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAccountLimitsCommandOutput>;
export declare const de_DescribeChangeSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeChangeSetCommandOutput>;
export declare const de_DescribeChangeSetHooksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeChangeSetHooksCommandOutput>;
export declare const de_DescribeGeneratedTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeGeneratedTemplateCommandOutput>;
export declare const de_DescribeOrganizationsAccessCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeOrganizationsAccessCommandOutput>;
export declare const de_DescribePublisherCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribePublisherCommandOutput>;
export declare const de_DescribeResourceScanCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeResourceScanCommandOutput>;
export declare const de_DescribeStackDriftDetectionStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeStackDriftDetectionStatusCommandOutput>;
export declare const de_DescribeStackEventsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeStackEventsCommandOutput>;
export declare const de_DescribeStackInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeStackInstanceCommandOutput>;
export declare const de_DescribeStackResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeStackResourceCommandOutput>;
export declare const de_DescribeStackResourceDriftsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeStackResourceDriftsCommandOutput>;
export declare const de_DescribeStackResourcesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeStackResourcesCommandOutput>;
export declare const de_DescribeStacksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeStacksCommandOutput>;
export declare const de_DescribeStackSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeStackSetCommandOutput>;
export declare const de_DescribeStackSetOperationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeStackSetOperationCommandOutput>;
export declare const de_DescribeTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeTypeCommandOutput>;
export declare const de_DescribeTypeRegistrationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeTypeRegistrationCommandOutput>;
export declare const de_DetectStackDriftCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DetectStackDriftCommandOutput>;
export declare const de_DetectStackResourceDriftCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DetectStackResourceDriftCommandOutput>;
export declare const de_DetectStackSetDriftCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DetectStackSetDriftCommandOutput>;
export declare const de_EstimateTemplateCostCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<EstimateTemplateCostCommandOutput>;
export declare const de_ExecuteChangeSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ExecuteChangeSetCommandOutput>;
export declare const de_GetGeneratedTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetGeneratedTemplateCommandOutput>;
export declare const de_GetStackPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetStackPolicyCommandOutput>;
export declare const de_GetTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetTemplateCommandOutput>;
export declare const de_GetTemplateSummaryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetTemplateSummaryCommandOutput>;
export declare const de_ImportStacksToStackSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ImportStacksToStackSetCommandOutput>;
export declare const de_ListChangeSetsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChangeSetsCommandOutput>;
export declare const de_ListExportsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListExportsCommandOutput>;
export declare const de_ListGeneratedTemplatesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListGeneratedTemplatesCommandOutput>;
export declare const de_ListImportsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListImportsCommandOutput>;
export declare const de_ListResourceScanRelatedResourcesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListResourceScanRelatedResourcesCommandOutput>;
export declare const de_ListResourceScanResourcesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListResourceScanResourcesCommandOutput>;
export declare const de_ListResourceScansCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListResourceScansCommandOutput>;
export declare const de_ListStackInstanceResourceDriftsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListStackInstanceResourceDriftsCommandOutput>;
export declare const de_ListStackInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListStackInstancesCommandOutput>;
export declare const de_ListStackResourcesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListStackResourcesCommandOutput>;
export declare const de_ListStacksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListStacksCommandOutput>;
export declare const de_ListStackSetOperationResultsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListStackSetOperationResultsCommandOutput>;
export declare const de_ListStackSetOperationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListStackSetOperationsCommandOutput>;
export declare const de_ListStackSetsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListStackSetsCommandOutput>;
export declare const de_ListTypeRegistrationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTypeRegistrationsCommandOutput>;
export declare const de_ListTypesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTypesCommandOutput>;
export declare const de_ListTypeVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTypeVersionsCommandOutput>;
export declare const de_PublishTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PublishTypeCommandOutput>;
export declare const de_RecordHandlerProgressCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RecordHandlerProgressCommandOutput>;
export declare const de_RegisterPublisherCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RegisterPublisherCommandOutput>;
export declare const de_RegisterTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RegisterTypeCommandOutput>;
export declare const de_RollbackStackCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RollbackStackCommandOutput>;
export declare const de_SetStackPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SetStackPolicyCommandOutput>;
export declare const de_SetTypeConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SetTypeConfigurationCommandOutput>;
export declare const de_SetTypeDefaultVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SetTypeDefaultVersionCommandOutput>;
export declare const de_SignalResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SignalResourceCommandOutput>;
export declare const de_StartResourceScanCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartResourceScanCommandOutput>;
export declare const de_StopStackSetOperationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopStackSetOperationCommandOutput>;
export declare const de_TestTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TestTypeCommandOutput>;
export declare const de_UpdateGeneratedTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateGeneratedTemplateCommandOutput>;
export declare const de_UpdateStackCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateStackCommandOutput>;
export declare const de_UpdateStackInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateStackInstancesCommandOutput>;
export declare const de_UpdateStackSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateStackSetCommandOutput>;
export declare const de_UpdateTerminationProtectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateTerminationProtectionCommandOutput>;
export declare const de_ValidateTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ValidateTemplateCommandOutput>;
